%define upstream_name       CPANPLUS-Dist-Build
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Constants for CPANPLUS::Dist::Build
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-devel
BuildRequires: perl(CPANPLUS)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Load::Conditional)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Object::Accessor)
BuildRequires: perl(Params::Check)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More)
# versionning the corresponding virtual package is not enough
BuildRequires: perl-Module-Load-Conditional
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
'CPANPLUS::Dist::Build' is a distribution class for 'Module::Build' related
modules. Using this package, you can create, install and uninstall perl
modules. It inherits from 'CPANPLUS::Dist'.

Normal users won't have to worry about the interface to this module, as it
functions transparently as a plug-in to 'CPANPLUS' and will just 'Do The
Right Thing' when it's loaded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/CPANPLUS


%changelog
* Sun Jan 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.1
+ Revision: 495427
- update to 0.46

* Thu Nov 19 2009 Jérôme Quelin <jquelin@mandriva.org> 0.440.0-1mdv2010.1
+ Revision: 467356
- update to 0.44

* Mon Nov 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2010.1
+ Revision: 466432
- update to 0.42

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.0
+ Revision: 432797
- update to 0.40

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 420892
- update to 0.38

* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.360.0-1mdv2010.0
+ Revision: 393728
- new version

* Tue Jun 02 2009 Jérôme Quelin <jquelin@mandriva.org> 0.320.0-1mdv2010.0
+ Revision: 382237
- update to 0.32
- using %%perl_convert_version
- fixed license field

* Tue May 19 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30-1mdv2010.0
+ Revision: 377483
- update to new version 0.30

* Sat May 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-1mdv2010.0
+ Revision: 376346
- update to new version 0.28

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.24-2mdv2010.0
+ Revision: 376052
- skipping tests that should be working
- rebuild
- import perl-CPANPLUS-Dist-Build


* Wed May 06 2009 cpan2dist 0.24-1mdv
- initial mdv release, generated with cpan2dist

